libsdl3 (3.4.12+ds-1) unstable; urgency=medium

  * New upstream stable release

 -- Simon McVittie <smcv@debian.org>  Thu, 02 Jul 2026 15:00:40 +0100

libsdl3 (3.4.10+ds-1) unstable; urgency=medium

  * New upstream stable release
  * d/p/x11-Disable-the-X-Synchronization-Extension-by-default.patch:
    Drop patch, included in the release

 -- Simon McVittie <smcv@debian.org>  Mon, 01 Jun 2026 12:07:28 +0100

libsdl3 (3.4.8+ds-2) unstable; urgency=medium

  * d/p/x11-Disable-the-X-Synchronization-Extension-by-default.patch:
    Cherry-pick a patch recommended by upstream.
    Using XSync doesn't work for all apps/games, so it's better for that
    feature to be opt-in rather than opt-out.

 -- Simon McVittie <smcv@debian.org>  Tue, 26 May 2026 22:38:57 +0100

libsdl3 (3.4.8+ds-1) unstable; urgency=medium

  * New upstream stable release

 -- Simon McVittie <smcv@debian.org>  Sat, 02 May 2026 15:04:33 +0100

libsdl3 (3.4.4+ds-2) unstable; urgency=medium

  [ Alessandro Astone ]
  * libsdl3-tests: Add dependency on libudev1.
    One test verifies that SDL_InitSubSystem(SDL_INIT_HAPTIC) succeeds,
    and that requires libudev to be installed for dlopening.
    It's a Recommends for libsdl3-0. (LP: #2147605)

  [ Simon McVittie ]
  * Standards-Version: 4.7.4 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Fri, 10 Apr 2026 17:23:25 +0100

libsdl3 (3.4.4+ds-1) unstable; urgency=medium

  * New upstream release
  * d/control: Use ${source:Synopsis} and ${source:Extended-Description}
    to reduce boilerplate/duplication
  * d/copyright: Exclude .github/ while we're repacking tarballs anyway
  * d/copyright: Don't use # comments

 -- Simon McVittie <smcv@debian.org>  Sat, 04 Apr 2026 15:13:39 +0100

libsdl3 (3.4.2+ds-1) unstable; urgency=medium

  * New upstream stable release
  * Revert packaging changes specific to tracking git snapshots
  * d/upstream-signing-key.asc: Accept Sam's new signing key
  * d/source/lintian-overrides: Remove, no longer needed

 -- Simon McVittie <smcv@debian.org>  Sat, 21 Feb 2026 18:09:58 +0000

libsdl3 (3.4.0+git20260203~8107d5b+ds-1) experimental; urgency=medium

  * New upstream snapshot from the release-3.4.x branch,
    commit release-3.4.0-109-g8107d5b042

 -- Simon McVittie <smcv@debian.org>  Wed, 04 Feb 2026 19:44:46 +0000

libsdl3 (3.4.0+git20260125~4431c5f+ds-1) experimental; urgency=medium

  * d/gbp.conf: Branch for experimental
  * d/watch, d/source/lintian-overrides: Update for git snapshots
  * d/watch, d/watch.git: Only watch the v3.4.x stable-branch
  * New upstream snapshot from the release-3.4.x branch,
    commit release-3.4.0-72-g4431c5f8ba
    - Treat Razer Raiju v5 Pro as a PS5-compatible controller, and apply
      the necessary device quirks
    - Fix a conflict when linking both SDL and HIDAPI statically
    - Fix a memory leak when creating a mutex
    - Fix a possible crash when parsing bitmap images
    - Fix a possible crash when using a Nintendo Switch 2 gamepad
    - Fix use-after-free issues when communicating with ibus or upower
      via D-Bus
    - Maintain an array of possible haptic events
    - More reliably send key-up messages when keyboard focus is lost
    - Only send a quit event when the top-level window is destroyed
    - On Wayland, avoid a possible hang during interactive resizing
    - On Wayland, avoid a crash if relative motion events occur in the
      same frame as the focus leaving our window
    - On Wayland, fix the mouse button index when the pointer leaves
      our window with buttons held down
    - On Wayland, extend the timeout when reading clipboard data
    - On Wayland, ensure the cursor remains visible after leaving the window
    - On Wayland with pen devices, free tool-specific cursors where
      appropriate
    - On Wayland, Add a hint allowing use of libdecor to be disabled
    - Use a flexible array member to avoid undefined behaviour in the
      implementation of thread-local storage
    - Improve FlyDigi controller support via raw HID
    - Improve Horipad gyroscope support via raw HID
    - Set a proper error message for some Vulkan errors
    - Set the NO_REPLY flag when no reply is expected to a D-Bus method
      call, improving efficiency
    - SDL_CreateGPURenderState takes a const pointer for its second argument
    - Cast to the intended type when allocating keyboard and mouse IDs
    - More consistently use type-aware wrappers for memset()
    - Fix compatibility with Vulkan drivers that only support v1.1 API
    - Silence spurious error messages when using the dummy video driver,
      which caused the pysdl2 tests to regress when using sdl2-compat
    - Manual test improvements
    - Documentation improvements
    - Various platform-specific changes not relevant to Debian
      (Android, OpenBSD, Windows, etc.)
  * d/copyright: Update

 -- Simon McVittie <smcv@debian.org>  Mon, 26 Jan 2026 14:34:15 +0000

libsdl3 (3.4.0+ds-1) unstable; urgency=medium

  * d/control, d/gbp.conf, d/watch*: Follow stable releases
  * New upstream stable release
  * d/libsdl3-0.symbols: Generate dependencies on 3.4.0 for post-3.2 symbols
  * d/control: Standards-Version: 4.7.3 (no changes required)
  * d/control: Remove unnecessary Priority field
  * d/control: Remove kFreeBSD support

 -- Simon McVittie <smcv@debian.org>  Thu, 01 Jan 2026 12:30:32 +0000

libsdl3 (3.3.6+git20251229~95ac0ff+ds-1) experimental; urgency=medium

  * New upstream snapshot
    - Works around some SDL 1.2 and SDL 2 games being setgid
      (Closes: #1123953)
    - Please note API changes for SDL_ELF_NOTE_DLOPEN since preview
      release 3.3.6
  * Merge packaging changes from unstable (no functional change)

 -- Simon McVittie <smcv@debian.org>  Tue, 30 Dec 2025 17:38:34 +0000

libsdl3 (3.3.6+ds-1) experimental; urgency=medium

  * New upstream preview release
  * d/patches: Drop patches that were included in the release
  * d/libsdl3-0.symbols: Bump required version for
    SDL_SetWindowFillDocument.
    This was added in Debian as a patch in 3.3.4+ds-1, but only officially
    added upstream in 3.3.6.

 -- Simon McVittie <smcv@debian.org>  Tue, 16 Dec 2025 20:46:34 +0000

libsdl3 (3.3.4+ds-1) experimental; urgency=medium

  * d/watch, d/source/lintian-overrides: Look for formal prereleases
  * New upstream preview release
  * d/patches: Add post-release bug fixes up to commit
    prerelease-3.3.4-11-gb428c1834f
  * d/libsdl3-0.symbols: Generate dependencies on 3.3.4 rather than
    intermediate git snapshots
  * d/libsdl3-0.symbols: Add a new symbol

 -- Simon McVittie <smcv@debian.org>  Mon, 08 Dec 2025 13:23:30 +0000

libsdl3 (3.3.2+git20251204~c61497b+ds-1) experimental; urgency=medium

  * New upstream snapshot, commit preview-3.3.2-354-gc61497b744
  * d/control: Build-depend on libthai-dev, libxtst-dev
  * d/control: -dev package now depends on libxtst-dev
  * d/libsdl3-0.symbols: Update
  * Merge packaging changes from unstable (no functional change)

 -- Simon McVittie <smcv@debian.org>  Thu, 04 Dec 2025 12:14:42 +0000

libsdl3 (3.3.2+git20251103~dc5b136+ds-1) experimental; urgency=medium

  * New upstream snapshot, commit preview-3.3.2-89-gdc5b136930
  * Merge packaging changes from unstable (no functional change)

 -- Simon McVittie <smcv@debian.org>  Mon, 03 Nov 2025 16:57:25 +0000

libsdl3 (3.3.2+git20251031~446fb65+ds-1) experimental; urgency=medium

  * New upstream snapshot, commit preview-3.3.2-60-g446fb65ca6
  * d/p/wayland-Fix-compile-with-libdecor-0.2-and-SDL_WAYLAND_LIB.patch:
    Drop patch, included in the new snapshot
  * d/source/lintian-overrides:
    Add a Lintian override for git snapshots not being signed
  * Merge packaging changes from unstable (no functional change)

 -- Simon McVittie <smcv@debian.org>  Fri, 31 Oct 2025 18:15:10 +0000

libsdl3 (3.3.2+git20251029~d9ca045+ds-1) experimental; urgency=medium

  * New upstream snapshot, commit preview-3.3.2-50-gd9ca0457b5
  * d/watch.git, d/watch: Look for git snapshots again
  * d/copyright: Exclude .github/ from git snapshots to reduce the diff vs.
    official tarball releases
  * d/source/lintian-overrides: Remove unused lintian override
  * d/patches: Drop patches that were taken from upstream git
  * d/rules: Apply staticness fix when regenerating Vulkan shader headers
  * d/p/wayland-Fix-compile-with-libdecor-0.2-and-SDL_WAYLAND_LIB.patch:
    Add proposed patch to fix FTBFS with libdecor 0.2.x

 -- Simon McVittie <smcv@debian.org>  Thu, 30 Oct 2025 13:36:47 +0000

libsdl3 (3.3.2+ds-1) experimental; urgency=medium

  * New upstream preview release
  * d/watch: Download preview releases for this branch
  * d/patches: Update to upstream commit preview-3.3.2-26-g5ad12c47dc,
    excluding Emscripten-, FreeBSD-, iOS-, macOS-, Windows-specific
    changes.
  * d/libsdl3-doc: Install SDLMAIN_DECLSPEC(3).
    If other SDLMAIN_-namespaced man pages are added in future, we'll
    want to install those too, so use a wildcard.
  * d/copyright: Update
  * d/libsdl3-0.symbols: Update
  * d/rules: Test image resources are now PNGs
  * d/control: Add dlopen dependencies to libsdl3-tests
  * d/source/lintian-overrides: Update
  * Correct an inaccuracy in the previous changelog entry.
    The JACK audio backend is not currently enabled, dynamically or
    otherwise.

 -- Simon McVittie <smcv@debian.org>  Mon, 27 Oct 2025 15:14:46 +0000

libsdl3 (3.3~git20251006~f90c179+ds-1) experimental; urgency=medium

  * New upstream snapshot, commit release-3.2.6-1409-gf90c179c5d
  * d/control, d/rules: Enable fribidi dependency, for the new support for
    bidirectional text in X11 dialogs
  * d/rules: Switch on SDL_DEPS_SHARED.
    For anything that can either be dlopen'd or a hard dependency,
    setting this option forces it to be a hard dependency, so the only
    way we can have any such library be dynamically loaded is to turn
    this option off.
    This turns libpipewire-0.3-0 and libsndio7.0 into weak dependencies.
    - d/control: libsdl3-dev no longer needs libpipewire-0.3-dev on Linux
    - d/control: libsdl3-dev no longer needs libsndio-dev
  * Merge packaging changes from unstable
    - Reformat packaging files using debputy

 -- Simon McVittie <smcv@debian.org>  Mon, 06 Oct 2025 16:35:31 +0100

libsdl3 (3.3~git20251002~a864dca+ds-1) experimental; urgency=medium

  * New upstream snapshot, commit release-3.2.6-1356-ga864dcac25
  * d/rules: Include SDL- prefix in SDL_REVISION.
    This allows it to be retrieved from the binary with strings(1)
    and grep(1).
  * Revert "d/libsdl3-0.symbols: Mark Linux symbols as such".
    It was correct at the time it was added, but in the latest snapshots
    the platform-specific symbols exist as ABI on all platforms: they
    just don't do anything on platforms where they aren't relevant.
  * d/copyright: Update list of excluded files
  * d/libsdl3-0.symbols: Update.
    Note that there is an ABI break since the previous snapshot:
    SDL_SetRenderGPUState() is now named SDL_SetGPURenderState().
    This only affects development snapshots and experimental, so the SONAME
    has not been changed.
  * Update regeneration of shader files, replacing d/build-shaders.sh with
    a script implementing a small subset of shadercross' interface

 -- Simon McVittie <smcv@debian.org>  Thu, 02 Oct 2025 11:11:44 +0100

libsdl3 (3.3~git20250930~fd4c2f8+ds-1) experimental; urgency=medium

  * New upstream snapshot, commit release-3.2.6-1342-gfd4c2f8cfd
  * d/build-shaders.sh: Update naming scheme for test shaders
  * d/libsdl3-0.symbols: Update
  * d/control, d/rules: Build using ninja-build
  * d/rules: Do the build in a directory covered by upstream's .gitignore
  * d/control: Remove Rules-Requires-Root, no longer needed since Debian 13
  * Reformat packaging files using debputy

 -- Simon McVittie <smcv@debian.org>  Tue, 30 Sep 2025 17:40:35 +0100

libsdl3 (3.3~git20250925~ed2cdce+ds-1) experimental; urgency=medium

  [ Simon McVittie ]
  * New upstream snapshot, commit release-3.2.6-1294-ged2cdceb66
  * d/libsdl3-0.symbols: Update
  * d/control: Add Build-Depends on libopengl-dev,
    so that dh_dlopenlibdeps can find libOpenGL.so.0
  * d/watch*: Convert to uscan format v5
  * d/watch*: Include the short commit hash in versions from upstream git
  * d/watch.devel, d/upstream/signing-key.asc: Check signatures before
    repacking.
    Upstream tarball releases are signed again. This is only a 1024-bit
    DSA key but it's better than nothing.
  * d/p/test-Set-a-much-longer-timeout-for-testatomic-on-GNU-Hurd.patch:
    Add patch to extend the timeout of testatomic on Hurd.
    Based on discussion with Pino Toscano on sdl-team/libsdl3!3.
  * d/source/lintian-overrides: Ignore d/watch-related false positives

  [ Pino Toscano ]
  * d/libsdl3-0.symbols: Mark Linux-specific symbols as such

 -- Simon McVittie <smcv@debian.org>  Fri, 26 Sep 2025 10:15:20 +0100

libsdl3 (3.3~git20250903.1+ds-2) experimental; urgency=medium

  * d/p/progress-Correct-calls-to-dbus_message_iter_open_containe.patch:
    Add proposed patch to fix uses of libdbus on big-endian architectures
    (Closes: #1115705, hopefully)

 -- Simon McVittie <smcv@debian.org>  Tue, 23 Sep 2025 11:02:55 +0100

libsdl3 (3.3~git20250903.1+ds-1) experimental; urgency=medium

  * New upstream snapshot from the 3.3.x development branch
  * Merge packaging changes from unstable

 -- Simon McVittie <smcv@debian.org>  Wed, 03 Sep 2025 20:54:18 +0100

libsdl3 (3.2.30+ds-1) unstable; urgency=medium

  * New upstream release
  * Drop most patches, applied upstream

 -- Simon McVittie <smcv@debian.org>  Thu, 01 Jan 2026 10:59:35 +0000

libsdl3 (3.2.28+ds-2) unstable; urgency=medium

  * d/p/build-scripts-Include-SDL-prefix-in-SDL_REVISION-when-bui.patch:
    Mark as applied upstream
  * d/p/Added-Keychron-V5-System-Control-to-the-controller-blackl.patch,
    d/p/testver-Assert-that-SDL_GetRevision-starts-with-SDL.patch,
    d/p/GPU-Remove-erroneous-buffer-usage-flag-from-defrag-proces.patch,
    d/p/log-Fix-unlikely-out-of-bounds-issue.patch,
    d/p/Fix-loop-variable-bug-in-V4L2-camera-format-enumeration.patch,
    d/p/WhatsNew.txt-Moved-some-missing-entries-over-to-the-relea.patch,
    d/p/stb_image.h-apply-patches-from-mainstream-PRs-1839-1862-a.patch,
    d/p/GPU-Fix-crash-on-Android-upon-returning-from-the-backgrou.patch,
    d/p/cmake-add-reftable-ref-storage-support-to-GetGitRevisionD.patch,
    d/p/Pass-the-window-along-with-evdev-touch-events.patch,
    d/p/Fix-SDL_EnumerateDirectory-failing-on-POSIX-and-Windows.patch,
    d/p/x11-Don-t-poll-the-map-state-when-the-window-was-unmapped.patch,
    d/p/wayland-Update-the-HDR-data-on-placeholder-displays.patch,
    d/p/Fix-for-13094.patch,
    d/p/egl-Better-attempt-at-retrying-surface-creation-w-o-EGL_E.patch,
    d/p/video-Unload-GL-Vulkan-when-shutting-down-the-video-subsy.patch,
    d/p/Allow-the-offscreen-and-dummy-drivers-to-be-used-as-fallb.patch,
    d/p/wayland-Use-the-implicit-grab-serial-when-clearing-the-cl.patch,
    d/p/Document-SDL-s-policy-on-setuid-setgid-executables.patch:
    Update to upstream commit release-3.2.28-27-g888104f5a from the
    release-3.2.x branch, excluding commits specific to upstream CI or
    non-Debian platforms
  * d/p/unix-Add-internal-function-SDL_CanUseGtk.patch,
    d/p/unix-If-setuid-or-setgid-don-t-use-GTK.patch,
    d/p/wayland-If-GTK-is-disabled-try-to-avoid-libdecor-s-GTK-pl.patch:
    Work around some SDL 1.2 and SDL 2 games being setgid
    (Closes: #1123953)

 -- Simon McVittie <smcv@debian.org>  Tue, 30 Dec 2025 17:33:59 +0000

libsdl3 (3.2.28+ds-1) unstable; urgency=medium

  * New upstream stable release
  * Drop patches that were included in the upstream release
  * d/p/build-scripts-Include-SDL-prefix-in-SDL_REVISION-when-bui.patch,
    d/p/dist/SDL_revision.h-Include-SDL-prefix-in-SDL_REVISION.patch:
    Add the expected SDL- prefix to SDL_REVISION

 -- Simon McVittie <smcv@debian.org>  Wed, 03 Dec 2025 17:03:25 +0000

libsdl3 (3.2.26+ds-2) unstable; urgency=medium

  * d/patches: Add post-release bug fixes from upstream git up to
    release-3.2.x commit release-3.2.26-9-g4ae517e24e, excluding
    CI- and D3D-specific changes

 -- Simon McVittie <smcv@debian.org>  Mon, 03 Nov 2025 15:22:00 +0000

libsdl3 (3.2.26+ds-1) unstable; urgency=medium

  * New upstream stable release
  * d/patches: Drop patches that were included in the upstream release

 -- Simon McVittie <smcv@debian.org>  Fri, 31 Oct 2025 16:49:41 +0000

libsdl3 (3.2.24+ds-1) unstable; urgency=medium

  * New upstream stable release
  * d/patches: Drop several patches that were included in the upstream
    release
  * d/patches: Add post-release bug fixes from upstream git
    - Generalize code to avoid treating non-gamepads as gamepads
    - Fix scaling with the software renderer
  * d/p/test-Set-a-much-longer-timeout-for-testatomic-on-GNU-Hurd.patch:
    Add patch to extend the timeout of testatomic on Hurd,
    based on discussion with Pino Toscano on sdl-team/libsdl3!3
  * d/control, d/rules: Build using ninja-build
  * d/rules: Do the build in a directory covered by upstream's .gitignore
  * d/watch*: Convert to uscan format v5
  * d/watch*: Include the short commit hash in versions from upstream git
  * d/watch, d/upstream/signing-key.asc: Check signatures before repacking
  * d/control: Remove Rules-Requires-Root, no longer needed since Debian 13
  * Reformat packaging files using debputy
  * Update Lintian overrides

  [ Pino Toscano ]
  * d/libsdl3-0.symbols: Mark Linux symbols as such

 -- Simon McVittie <smcv@debian.org>  Sat, 04 Oct 2025 14:20:25 +0100

libsdl3 (3.2.22+ds-1) unstable; urgency=medium

  [ Simon McVittie ]
  * New upstream stable release
    - Drop the only patch, included in the new release
  * d/p/Fix-crash-when-enumerating-Steam-Controllers.patch,
    d/p/gpu-VK_KHR_get_physical_device_properties2-can-be-optiona.patch,
    d/p/cmake-use-APPLE-in-dep_option.patch,
    d/p/Set-the-texture-scale-and-address-mode-when-creating-a-te.patch,
    d/p/Leave-letterbox-borders-set-to-the-frame-clear-color.patch,
    d/p/Don-t-set-SDL_SURFACE_LOCK_NEEDED-until-a-surface-is-RLE-.patch:
    Add post-release bug fixes up to release-3.2.22-10-ge7dd5d841b,
    excluding most Apple-specific changes
  * d/p/Add-GNU-Hurd-as-platform.patch,
    d/p/cmake-detect-RISCOS-platform-before-GNU-Hurd.patch:
    Cherry-pick patches from 3.3.x development branch to support Hurd.
    There are still some failing tests (`testatomic` takes a very long time
    on Hurd, and times out) but this gets us a step closer.
    Thanks to Pino Toscano
  * d/p/wikiheaders-Escape-backslash-in-man-pages.patch:
    Add proposed patch to fix broken man page SDL_GetPrefPath(3)

  [ Pino Toscano ]
  * d/control: Enable EGL, OpenGL|ES and Vulkan on any OS
  * d/rules: Only enable Pipewire on Linux

 -- Simon McVittie <smcv@debian.org>  Wed, 03 Sep 2025 13:13:49 +0100

libsdl3 (3.3~git20250829+ds-1) experimental; urgency=medium

  [ Simon McVittie ]
  * New upstream snapshot from the 3.3.x development branch
  * Use dh-sequence-dlopenlibdeps to add dlopen()'d dependencies
    - Keep Suggests on libayatana-appindicator3-1.
      This hasn't been set up with dlopen notes upstream yet.
    - Restore Recommends on libegl1, libgl1.
      The dlopen metadata makes these Suggests, but that seems too weak
      in practice - most SDL games will want working GL.
  * d/libsdl3-0.symbols: Update.
    Note that SDL_CreateGPURenderState has broken ABI since the previous
    snapshot. (It was not present in 3.2.x, so this is not an ABI break
    in stable releases.)
  * d/copyright: Update
  * d/rules: Treat non-Linux kernels as potentially slow to run tests.
    The FIFO part of testatomic is apparently rather slow on Hurd,
    for whatever reason. Let's see whether this is enough.

  [ Pino Toscano ]
  * d/control: Enable EGL, OpenGL|ES and Vulkan on any OS
  * d/rules: Only enable Pipewire on Linux

 -- Simon McVittie <smcv@debian.org>  Sat, 30 Aug 2025 16:55:26 +0100

libsdl3 (3.3~git20250806+ds-1) experimental; urgency=medium

  * New upstream snapshot from the 3.3.x development branch
  * d/control, d/gbp.conf, d/watch: Switch branch for snapshots
  * d/build-shaders.sh, d/rules:
    Rebuild more SPIR-V shaders from their HLSL source using
    glslangValidator, avoiding a dependency on shadercross (RFP: #1095081)
  * d/copyright, d/clean: Exclude more precompiled shaders
  * d/patches: Drop patch, applied upstream
  * d/libsdl3-0.symbols: Update

 -- Simon McVittie <smcv@debian.org>  Thu, 07 Aug 2025 10:53:53 +0100

libsdl3 (3.2.20+ds-2) unstable; urgency=medium

  * Rebuild for unstable

 -- Simon McVittie <smcv@debian.org>  Sun, 10 Aug 2025 11:22:37 +0100

libsdl3 (3.2.20+ds-1) experimental; urgency=medium

  * New upstream stable release
    - Fix duplicate SDL_EVENT_GAMEPAD_ADDED for controllers with automatic
      gamepad mappings
    - When binding an audio stream to a device, if the audio format at the
      non-device end is unspecified, set it to match the device end
    - Under X11, discard mouse wheel events from composite "Master"
      devices to avoid duplication with the individual devices
    - Under Wayland, ensure that popups always overlap the parent window,
      avoiding a protocol violation
    - Under Wayland, reorder surface destruction to avoid premature blanking
    - In the Vulkan GPU renderer, don't acquire the swapchain if the window
      is hidden
    - In the Vulkan GPU renderer, clean up command buffers more promptly to
      avoid a lag spike
    - Fix a memory leak in the Vulkan GPU renderer
    - Fix memory leaks in the OpenGL|ES 2 renderer
    - Clear "out" parameters properly when loading a WAV file fails
    - Fix a wrong swap chain size in the Vulkan GPU renderer when retrying
      acquire
    - Fix some use-after-frees during error handling in the Vulkan GPU
      renderer
    - Fix a potential crash in SDL_BlitSurfaceScaled() if the width/height
      overflow to become negative
    - Fix a double-free in HIDAPI error handling
    - Correctly mark Vulkan compute uniform descriptor as set when
      appropriate
    - In SDL_EndGPURenderPass(), check for an invalid argument before
      dereferencing it
    - Fix a crash if sending a clipboard event while video is uninitialized
      (in practice mainly relevant on Android)
    - Don't treat Mayflash GameCube adapter as a PS3 controller
    - Avoid some compiler warnings
    - Documentation updates
    - CI changes not relevant to Debian
    - Android-, FreeBSD-, macOS-, PSP-, Windows- and XBox-specific changes
      not relevant to Debian
  * d/patches: Add post-release bug fixes from upstream release-3.2.x
    branch, up to commit release-3.2.20-5-g688637eca8, excluding
    macOS-specific changes that are not relevant on Linux
    - Really set HDR-related window properties, when appropriate

 -- Simon McVittie <smcv@debian.org>  Tue, 05 Aug 2025 18:01:24 +0100

libsdl3 (3.2.18+ds-1) experimental; urgency=medium

  * New upstream stable release
    - Add support for popups that can extend outside the display bounds or
      avoid grabbing focus
    - Don't let automatically generated gamepad mappings override
      manually-set mappings
    - Game controller support for ZEROPLUS P4 Wired Gamepad
    - Fix compatibility with MayFlash GameCube adapter with
      version 7 firmware
    - Read gyro and accelerometer calibration data from Switch controllers
      instead of using a hard-coded default
    - Fix a long delay when enumerating HIDAPI devices if a Razer Huntsman
      Gaming keyboard is attached
    - Don't allow setting a window to be its own parent
    - Add F21-F24 to the keyboard scancode mapping table
    - Fix a crash in SDL_GetAudioDeviceChannelMap() if a device has no
      channels
    - Skip "zombie" devices when enumerating audio devices
    - Update the rendering viewport when logical presentation changes
    - Avoid duplicate mouse events when using a pen device
    - Improve compatibility with XMonad
    - Improve compatibility with fvwm
    - Improve Wayland spec compliance
    - Ensure Vulkan non-dispatchable handles are 64-bit on x32
    - Documentation fixes
    - Fix some compiler warnings
    - Silence some debug spam by default
    - Make tests compatible with ffmpeg 7.1
      (not relevant in Debian, we don't compile this test)
    - Android-, macOS-, MSVC-, PSP-, Windows- and XBox-specific changes
      not relevant to Debian

 -- Simon McVittie <smcv@debian.org>  Sat, 19 Jul 2025 10:20:05 +0100

libsdl3 (3.2.16+ds-1) experimental; urgency=medium

  * New upstream stable release
    - When a compute shader writes to a texture, check that the format is a
      valid one for this purpose
    - Improve assertions in the GPU code
    - Fix Gamecube controller adapter hotplug detection
    - Fix Wayland event timestamps
    - Fix a rare crash while trying to interrupt SDL_WaitEvent()
    - Correctly mark the combined controller representing a pair of
      Switch Joy-Cons as a Bluetooth device, not USB
    - Fix a crash caused by incorrect reference counting of GTK menus when
      using the tray API
    - Fix an assertion failure on shutdown if a gamepad can't be opened
    - Correctly include XTest header
    - Set the initial axis values for HIDAPI controllers
    - When recording audio from PulseAudio, improve compatibility with
      drivers that can't keep up with small fragment sizes
    - Set minimum audio bit depth, rate and channel count to CD-quality,
      avoiding playback issues with devices that have problematically high
      defaults
    - On native X11 (but not Xwayland), always send fullscreen dimensions.
      Previously this was only done for Openbox, but other non-compositing
      window managers need this.
    - On X11, work around some window managers not sending an event when a
      window is shown
    - On X11, don't crash if libXi wasn't loaded successfully
    - On Wayland, make input method dialogs appear in the correct position
    - On Wayland, improve timestamp handling for keyboard repeats
    - On Wayland, fix copying of repeated keyboard input
    - On Steam Deck, tell Steam's on-screen keyboard the location of
      text input
    - On KMS/DRM, if surface creation fails, try again without scanout
      flags, as is necessary on Nvidia GPUs
    - Documentation fixes
    - 3DS-, Android-, Emscripten-, macOS-, PS2-, PSP-, Vita-, Windows-
      and XBox-specific changes not relevant to Debian
  * Add more details of the previous upstream stable release to its changelog
    entry

 -- Simon McVittie <smcv@debian.org>  Tue, 03 Jun 2025 12:47:12 +0100

libsdl3 (3.2.14+ds-1) experimental; urgency=medium

  * New upstream stable release
    - Fix rendering regressions in 3.2.12 caused by overzealous PulseAudio
      TLS cleanup
    - Avoid incorrect assertions in the GPU code when generating mipmaps
    - Use getauxval() to check for Altivec on PowerPC
    - Avoid unused function warnings in cpuinfo
    - Fix a crash when querying the name of a logical audio device
    - Fix a crash if the Vulkan renderer runs out of memory
    - On X11, improve Xinput mouse tracking
    - On X11, fix regressions in keyboard event handling
    - On X11, use a different workaround for Openbox quirks
    - Fix build if virtual joystick support is disabled
      (not relevant in Debian)
    - Fix build if Xrandr is disabled (not relevant in Debian)
    - Improve generated manual pages
    - Android-, Emscripten-, macOS, Vita-, Windows-specific changes not
      relevant to Debian

 -- Simon McVittie <smcv@debian.org>  Wed, 14 May 2025 19:33:36 +0100

libsdl3 (3.2.14~git20250513+ds-1) experimental; urgency=medium

  * d/watch, d/watch.git: Monitor the release-3.2.x branch for now
  * New upstream snapshot from the release-3.2.x branch
    (a preview of what is likely to be in 3.2.14, fixing regressions
    in 3.2.12)

 -- Simon McVittie <smcv@debian.org>  Wed, 14 May 2025 12:36:01 +0100

libsdl3 (3.2.12+ds-1) experimental; urgency=medium

  * New upstream stable release
    - Provide scroll wheel information in a form that is more useful for
      sdl2-compat
    - Avoid a deadlock in some SDL2 applications with sdl2-compat by
      reducing lock contention
    - Try to use the app name or app ID for audio stream names when using
      Pipewire for audio
    - Avoid thread-local data leaks when using PulseAudio for audio
    - Give the "HORI HORl Taiko No Tatsujin Drum Controller" a better name,
      despite the typo
    - Documentation fixes
    - Changes specific to Android, macOS and Windows not documented here
  * Drop patches, applied upstream
  * Initially upload to experimental, due to imminent hard freeze for
    Debian 13

 -- Simon McVittie <smcv@debian.org>  Tue, 06 May 2025 19:30:38 +0100

libsdl3 (3.2.10+ds-1) unstable; urgency=medium

  * New upstream stable release
  * d/patches: Add post-release bug fixes from upstream release-3.2.x
    branch, up to commit release-3.2.10-6-g0759f22a91, excluding
    N3DS-specific changes that are not relevant on Linux
    - Fix Vulkan vertex buffer indexing
    - Fix texture colour space when creating a texture from a surface
    - Documentation improvements for high DPI

 -- Simon McVittie <smcv@debian.org>  Tue, 01 Apr 2025 14:43:02 +0100

libsdl3 (3.2.8+ds-1) unstable; urgency=medium

  * New upstream stable release
  * Drop patches, applied upstream
  * Standards-Version: 4.7.2 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Wed, 05 Mar 2025 10:24:27 +0000

libsdl3 (3.2.6+ds-1) unstable; urgency=medium

  * New upstream stable release
  * d/patches: Update to upstream 3.2.x branch commit
    release-3.2.6-5-g18d93d11e1, excluding macOS-specific changes

 -- Simon McVittie <smcv@debian.org>  Mon, 03 Mar 2025 09:45:37 +0000

libsdl3 (3.2.4+git20250228+ds-1) experimental; urgency=medium

  * New upstream snapshot
    - Among many other changes, this fixes an audio capture regression
      with PulseAudio in versions since 2.30 (Closes: #1098900)
  * d/copyright: Update

 -- Simon McVittie <smcv@debian.org>  Fri, 28 Feb 2025 13:52:25 +0000

libsdl3 (3.2.4+git20250218+ds-1) experimental; urgency=medium

  * d/watch.git: Update
  * d/gbp.conf, d/watch: Watch for git snapshots
  * New upstream snapshot
  * d/copyright: Update
  * d/rules: Be more explicit about what we do and don't load dynamically
  * d/rules: Treat testtimer as flaky when running on non-x86, non-aarch64.
    There is an assertion that requesting a 1ms delay does not result in
    a delay of more than 100ms, and that isn't reliably true on slow
    machines like riscv64 or batch-processing-oriented machines like s390x,
    resulting in test failures.
    This makes those machines unsuitable for playing fast-paced SDL-based
    games, but we already knew that.

 -- Simon McVittie <smcv@debian.org>  Wed, 19 Feb 2025 15:33:50 +0000

libsdl3 (3.2.4+ds-2) unstable; urgency=medium

  * d/patches: Add post-release bug fixes up to
    release-3.2.4-18-g4fd0b2a85c, excluding N3DS- and Windows-specific
    changes

 -- Simon McVittie <smcv@debian.org>  Mon, 10 Feb 2025 18:01:25 +0000

libsdl3 (3.2.4+ds-1) unstable; urgency=medium

  * New upstream stable release
    - Unusually, this one adds new API/ABI.
  * d/libsdl3-0.symbols: Update
  * d/copyright: Update Source to match debian/watch
  * d/control: Build-depend on glslang-tools (>= 12).
    Other versions might work, but this version (from Debian 12) is the
    oldest that has successfully been tested in the Steam Runtime.
  * d/tests/control: Stop treating installed-tests as superficial.
    These have reasonably good coverage now that we run testautomation.

 -- Simon McVittie <smcv@debian.org>  Fri, 07 Feb 2025 17:52:55 +0000

libsdl3 (3.2.2+ds-1) unstable; urgency=medium

  * New upstream stable release

 -- Simon McVittie <smcv@debian.org>  Mon, 03 Feb 2025 13:58:20 +0000

libsdl3 (3.2.0+ds-1) unstable; urgency=medium

  * New upstream stable release (Closes: #1086720)
  * d/libsdl3-0.symbols: Add one new symbol
  * d/libsdl3-0.symbols: Generate dependencies on 3.2.0 stable release
  * d/patches: Drop all patches, included in the upstream stable release
  * d/control: Update package descriptions to reflect stable status
  * d/watch: Only watch for stable releases

 -- Simon McVittie <smcv@debian.org>  Tue, 21 Jan 2025 19:46:42 +0000

libsdl3 (3.1.10+ds-1) unstable; urgency=medium

  * New upstream release candidate
  * d/watch*: Fix dversionmangle expression
  * d/libsdl3-0.symbols: Depend on 3.1.8 for symbols introduced after 3.1.6
  * d/rules: Update build options for 3.1.10
  * d/copyright: Exclude more unneeded MSVC-related files
  * d/libsdl3-0.symbols: Update with new symbols in 3.1.10
  * d/p/tray-Create-tray-icons-for-libappindicator-securely.patch:
    Drop patch, applied upstream
  * d/p/Fixed-warning-C6313-Incorrect-operator.-Use-an-equality-t.patch,
    d/p/x11-check-to-see-if-displays-moved-when-connected-disconn.patch,
    d/p/storage-enumerate-and-glob-on-storage-can-accept-a-NULL-p.patch,
    d/p/Fixed-sine-wave-distortion-over-time.patch,
    d/p/Fixed-wrong-type-of-phase-12014.patch,
    d/p/Added-support-for-the-8BitDo-Ultimate-2C-Wireless-in-Blue.patch,
    d/p/Added-Linux-evdev-mappings-for-the-Wireless-HORIPAD-For-S.patch,
    d/p/wayland-Set-the-mouse-state-before-calling-the-hit-test-c.patch,
    d/p/Use-SDL_calloc-instead-of-SDL_malloc.patch,
    d/p/pen-Send-virtual-mouse-motion-without-a-button-press-when.patch:
    Add post-release bug fixes up to prerelease-3.1.10-47-g32965b4bf
  * d/docs: README-SDL.txt no longer exists

 -- Simon McVittie <smcv@debian.org>  Sun, 19 Jan 2025 14:43:56 +0000

libsdl3 (3.1.8+ds-1) unstable; urgency=medium

  * New upstream release
  * d/libsdl3-doc.manpages: Update
  * d/libsdl3-0.symbols: Update
  * d/control: Build-depend on liburing-dev on Linux architectures
  * d/copyright: Stop excluding files that no longer exist upstream
  * d/copyright: Stop excluding Valve's OpenVR header file.
    It has been placed under a DFSG-compliant license.
  * d/copyright: Update
  * d/rules: Use the same test timeout multipliers as GLib.
    amd64 and i386 are known to be "fast" architectures, likely to be used
    for interactive debugging, and unlikely to be emulated with qemu,
    so use a closer-to-normal timeout that will not be intolerably long
    for developers. Other architectures might be using slow hardware or
    extremely slow qemu-emulated buildds, so use a much longer timeout.
  * d/rules: Apply test timeout multiplier to all tests.
    A few tests use SDL_TESTS_TIMEOUT_MULTIPLIER, but most use
    SDLTEST_TIMEOUT_MULTIPLIER, because test/ behaves like a subproject.
    Set both. (Closes: #1091884)
  * d/rules: Ensure that shaders are output in a deterministic order
  * d/p/tray-Create-tray-icons-for-libappindicator-securely.patch:
    Add proposed patch to fix a /tmp symlink attack when
    providing icons to lib[ayatana-]appindicator. Regression post-3.1.6.
  * d/control: Add Recommends on various dlopen'd libraries:
    libdbus, libEGL, libGL | libOpenGL, libGLESv2, libudev.
    These are not hard dependencies, but will be desirable for
    many games.
  * d/control: Add Suggests on various other dlopen'd libraries:
    libayatana-appindicator3, libpipewire-0.3, liburing, libvulkan.
    These are not always necessary, but will be desirable for some games
    and for some systems.
  * d/watch*: Make removal of git snapshot suffix more flexible
  * d/watch: Watch for prereleases until 3.2.0 is out
  * d/watch.git: Use current preview release version number

 -- Simon McVittie <smcv@debian.org>  Wed, 08 Jan 2025 14:50:36 +0000

libsdl3 (3.1.6+ds-2) unstable; urgency=medium

  * d/copyright: Remove unused MIT-CMU license stanza
  * d/salsa-ci.yml: Use recommended recipe
  * Release to unstable for wider testing
    - Please note that this version is not targeted for inclusion in trixie:
      see #1086720 for details

 -- Simon McVittie <smcv@debian.org>  Mon, 30 Dec 2024 12:32:11 +0000

libsdl3 (3.1.6+ds-1) experimental; urgency=medium

  * New upstream preview release
  * d/watch, d/watch.devel: Use official upstream release tarballs
  * d/copyright: Exclude openvr_capi.h until its license can be clarified
  * d/copyright: No need to exclude .github/ when importing tarballs.
    They already exclude that directory.
  * d/copyright: Update
  * d/libsdl3-0.symbols: Update for ABI additions
  * d/rules: Refer to REVISION.txt, which replaces VERSION.txt
  * d/upstream/signing-key.asc: Remove.
    Upstream release artifacts are no longer being signed.
  * d/patches: Drop, all included upstream

 -- Simon McVittie <smcv@debian.org>  Mon, 04 Nov 2024 18:00:15 +0000

libsdl3 (3.1.3+ds-1) experimental; urgency=medium

  * New upstream preview release
  * d/p/testprocess-Disable-process_testStdinToStdout-for-now.patch:
    Drop workaround patch, no longer needed after upstream fixes
  * d/patches:
    Update to upstream git commit preview-3.1.3-28-g54e622c2e,
    excluding whitespace-only and macOS-specific changes
    - various post-release bug fixes including a use-after-free

 -- Simon McVittie <smcv@debian.org>  Mon, 07 Oct 2024 11:27:26 +0100

libsdl3 (3.1.3~git20241004.1~bd4cd34+ds-1) experimental; urgency=medium

  * New upstream snapshot
  * d/p/testprocess-Disable-process_testStdinToStdout-for-now.patch:
    Disable a failing test while it's investigated upstream
  * d/libsdl3-0.symbols:
    Bump version to 3.1.3~ for all symbols, since this is a semi-frozen
    API/ABI milestone

 -- Simon McVittie <smcv@debian.org>  Fri, 04 Oct 2024 17:50:01 +0100

libsdl3 (3.1.2+git20240917~8481d1a+ds-1) experimental; urgency=medium

  * New upstream snapshot
  * Update symbols file
  * d/rules: Fix invocation of build-shaders.sh for new upstream snapshot
  * debian/patches/render-Integrate-fix-shaders.sh-into-build-shaders.sh.patch:
    Replace patch to shader rebuild script with an upstreamable version
  * d/p/build-Fix-testprocess-invocation-during-as-installed-test.patch:
    Add proposed patch to fix "as-installed" testing

 -- Simon McVittie <smcv@debian.org>  Tue, 17 Sep 2024 19:22:39 +0100

libsdl3 (3.1.2+git20240903~b1b4a9c+ds-1) experimental; urgency=medium

  * New upstream snapshot
  * d/copyright: Exclude more generated files
  * d/copyright: Update
  * Regenerate more generated shaders at build time
  * Update symbols list
  * d/tests: Adapt to current upstream API
  * Standards-Version: 4.7.0 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Tue, 03 Sep 2024 15:10:37 +0100

libsdl3 (3.1.2+git20240730~fbed34a+ds-1) experimental; urgency=medium

  * New upstream snapshot
  * d/rules: Explicitly enable API documentation if required
  * d/watch.git: Add a parallel watch file for git snapshots
  * d/copyright: Update
  * Install examples into libsdl3-tests
  * d/not-installed: Don't install man pages for Sint32, etc.
  * d/libsdl3-0.symbols: Update
  * Remove an unused lintian override

 -- Simon McVittie <smcv@debian.org>  Tue, 30 Jul 2024 16:25:07 +0100

libsdl3 (3.1.2+ds-1) experimental; urgency=medium

  * New upstream prerelease
  * d/copyright: Clarify why some files are excluded
  * d/watch: Operate by fetching releases from git
  * d/rules: Generate VERSION.txt again
  * d/rules: Regenerate src/stdlib/SDL_casefolding.h during build
  * d/libsdl3-0.symbols: Update (including ABI breaks)
  * d/copyright: Stop excluding upstream's Vulkan shaders from source.
    These are regenerated at build-time, but keeping upstream's
    pre-generated versions makes it considerably easier to backport this
    package to older suites.
  * d/control: Increase pipewire dependency to 0.3.44
  * d/copyright: Update
  * d/libsdl3-doc.manpages: Install man pages for types
  * d/rules: Don't install man pages when building arch-dep only

 -- Simon McVittie <smcv@debian.org>  Thu, 20 Jun 2024 14:36:03 +0100

libsdl3 (3.1.0+ds-1) experimental; urgency=medium

  * New upstream prerelease
  * d/copyright: Update
  * d/copyright: Exclude more generated files
  * d/libsdl3-0.symbols: Update
  * d/rules: Regenerate more generated files
    - d/control: Build-depend on glslang-tools, for glslangValidator
  * d/clean: Clean up more generated files
  * d/control, d/tests: Prefer pkgconf over pkg-config
  * d/tests: Explicitly depend on pkgconf
  * d/tests: Update for upstream API changes
  * d/watch: Watch for tagged upstream prereleases
  * d/rules: Stop regenerating VERSION.txt
  * d/rules: Show the commands we run to generate Vulkan shaders

 -- Simon McVittie <smcv@debian.org>  Mon, 25 Mar 2024 16:59:30 +0000

libsdl3 (3~git20240202~7c089f4+ds-1) experimental; urgency=medium

  * New upstream snapshot prerelease-3.0.0-3508-g7c089f4e5
  * d/libsdl3-0.symbols: Update

 -- Simon McVittie <smcv@debian.org>  Fri, 02 Feb 2024 15:50:02 +0000

libsdl3 (3~git20240129~7fbd85a+ds-1) experimental; urgency=medium

  * New upstream snapshot prerelease-3.0.0-3468-g7fbd85ad5
  * d/copyright: Update
  * d/libsdl3-0.symbols: Update for gamepad/joystick ABI breaks

 -- Simon McVittie <smcv@debian.org>  Mon, 29 Jan 2024 14:44:34 +0000

libsdl3 (3~git20240124~a06ee5b+ds-1) experimental; urgency=medium

  * New upstream snapshot prerelease-3.0.0-3396-ga06ee5b98
  * d/libsdl3-0.symbols: Update for gamepad/joystick ABI breaks

 -- Simon McVittie <smcv@debian.org>  Wed, 24 Jan 2024 13:02:27 +0000

libsdl3 (3~git20240121~a28a42c+ds-1) experimental; urgency=medium

  * New upstream snapshot prerelease-3.0.0-3381-ga28a42cfc
  * d/libsdl3-0.symbols: Update

 -- Simon McVittie <smcv@debian.org>  Mon, 22 Jan 2024 12:35:53 +0000

libsdl3 (3~git20240115~99f6bcf+ds-1) experimental; urgency=medium

  * New upstream snapshot prerelease-3.0.0-3289-g99f6bcf50

 -- Simon McVittie <smcv@debian.org>  Mon, 15 Jan 2024 17:36:03 +0000

libsdl3 (3~git20240108~82f2c4d+ds-1) experimental; urgency=medium

  * New upstream snapshot prerelease-3.0.0-3259-g82f2c4d58
  * d/libsdl3-0.symbols: Update for ABI breaks in upstream snapshot
  * d/copyright: Update

 -- Simon McVittie <smcv@debian.org>  Mon, 08 Jan 2024 19:43:59 +0000

libsdl3 (3~git20240102~bec1b8f+ds-1) experimental; urgency=medium

  * New upstream snapshot prerelease-3.0.0-3224-gbec1b8f84
  * d/copyright: Update
  * d/libsdl3-0.symbols: Update

 -- Simon McVittie <smcv@debian.org>  Tue, 02 Jan 2024 17:32:13 +0000

libsdl3 (3~git20231206~ace385a+ds-1) experimental; urgency=medium

  * New upstream snapshot prerelease-3.0.0-3091-gace385a13
  * d/docs: Update
  * d/libsdl3-0.symbols: Update
  * d/copyright: Remove stanza for deleted directory test/shapes/

 -- Simon McVittie <smcv@debian.org>  Thu, 07 Dec 2023 19:41:11 +0000

libsdl3 (3~git20231011~321fc18+ds-1) experimental; urgency=medium

  * New upstream snapshot prerelease-3.0.0-2612-g321fc1841
    - This should resolve the FTBFS on arm64, by disabling NEON audio
      resamplers until they can be fixed to pass their tests.
  * d/copyright: Update
  * d/libsdl3-0.symbols: Update
  * d/rules: Sort configure flags
  * d/rules: SDL_TEST was renamed to SDL_TEST_LIBRARY
  * d/rules: Allow more time for build-time tests, for slow architectures.
    Hopefully a 5x timeout is enough for armel, and maybe the ports
    architectures with very slow atomics too.

 -- Simon McVittie <smcv@debian.org>  Wed, 11 Oct 2023 16:14:14 +0100

libsdl3 (3~git20231002~3abb464+ds-1) experimental; urgency=medium

  * New upstream snapshot prerelease-3.0.0-2560-g3abb464f1

 -- Simon McVittie <smcv@debian.org>  Mon, 02 Oct 2023 12:46:50 +0100

libsdl3 (3~git20230929~d95d2d7+ds-1) experimental; urgency=medium

  * New upstream snapshot prerelease-3.0.0-2544-gd95d2d705
    - Fixes test failure on s390x and other big-endian architectures
  * d/p/test-Accept-small-numerical-differences-in-more-mathemati.patch:
    Drop patch, applied upstream

 -- Simon McVittie <smcv@debian.org>  Fri, 29 Sep 2023 17:35:48 +0100

libsdl3 (3~git20230928~441a5b7+ds-1) experimental; urgency=medium

  * New upstream snapshot prerelease-3.0.0-2536-g441a5b707
  * Exclude test/icon.h from orig.tar and regenerate it from
    test/icon.bmp at build-time, as was already done for
    testcontroller-related assets
  * d/libsdl3-0.symbols: Update
  * d/p/test-Accept-small-numerical-differences-in-more-mathemati.patch:
    Add proposed patch to fix build-time test failure on i386
  * d/control: Bump libdecor dependency to 0.2.0

 -- Simon McVittie <smcv@debian.org>  Thu, 28 Sep 2023 17:23:13 +0100

libsdl3 (3~git20230919~6a38156+ds-1) experimental; urgency=medium

  * New upstream snapshot prerelease-3.0.0-2475-g6a381567b
  * d/libsdl3-0.symbols: Update

 -- Simon McVittie <smcv@debian.org>  Tue, 19 Sep 2023 16:33:37 +0100

libsdl3 (3~git20230904~266b91d+ds-1) experimental; urgency=medium

  * New upstream snapshot prerelease-3.0.0-2416-g266b91d2f
  * d/libsdl3-0.symbols: Update

 -- Simon McVittie <smcv@debian.org>  Mon, 04 Sep 2023 19:17:18 +0100

libsdl3 (3~git20230816~d60ebb0+ds-1) experimental; urgency=medium

  * New upstream snapshot prerelease-3.0.0-2305-gd60ebb06d
  * d/.gitignore: Update for SDL3 package names
  * d/watch: Use a +ds suffix for the orig tarball.
    To the best of my knowledge, everything we exclude is (meant to be)
    Free Software, we just don't want to keep track of files that are
    irrelevant to Debian.
  * d/rules: Drop libsamplerate parameter.
    SDL3 no longer uses that library.
  * d/rules: Link libusb in the usual way instead of via dlopen
  * d/rules: Go back to running more thorough build-time tests now that
    the problematic testsurround has been removed from the non-interactive
    test set

 -- Simon McVittie <smcv@debian.org>  Thu, 17 Aug 2023 09:01:56 +0100

libsdl3 (3~git20230808~a2d5942+dfsg-1) experimental; urgency=medium

  * New upstream snapshot prerelease-3.0.0-2242-ga2d594269
  * d/gbp.conf: Stop filtering imported tarballs.
    Please use uscan instead, which will automatically produce a filtered
    +dfsg tarball based on debian/copyright.
  * d/copyright: Exclude more files that we don't need
  * d/gbp.conf: Stop signing upstream tags
  * d/copyright: Use the SPDX name for the Zlib license
  * d/libsdl3-0.symbols: Update

 -- Simon McVittie <smcv@debian.org>  Tue, 08 Aug 2023 13:04:26 +0100

libsdl3 (3~git20230806~6af0448+dfsg-1) experimental; urgency=medium

  * New upstream snapshot prerelease-3.0.0-2234-g6af0448af
  * d/copyright: Update
  * d/libsdl3-0.symbols: Update
  * d/rules: Use dummy audio/video driver for build-time testing
  * d/rules: Make the tests relatively brief during build-time testing
  * d/tests: Use dummy audio and video driver

 -- Simon McVittie <smcv@debian.org>  Mon, 07 Aug 2023 20:24:11 +0100

libsdl3 (3~git20230719~e413457+dfsg-1) experimental; urgency=medium

  * New upstream snapshot prerelease-3.0.0-2002-ge413457a7
  * libsdl3-doc Breaks/Replaces older versions of libsdl1.2-dev.
    libsdl1.2-dev from src:libsdl1.2 contained man pages, some of which are
    for functions with the same name as those in libsdl3-doc. libsdl1.2-dev
    from src:sdl12-compat no longer has those. (Closes: #1034433)
  * d/watch: Add the abbreviated sha1 to the version number, to make it
    easier to keep track of which snapshot corresponds to which commit

 -- Simon McVittie <smcv@debian.org>  Wed, 19 Jul 2023 10:13:01 +0100

libsdl3 (3~git20230716+dfsg-1) experimental; urgency=medium

  * New upstream snapshot prerelease-3.0.0-1967-g80da0cf06
  * Remove version constraints unnecessary since Debian 11
  * debian/libsdl3-0.symbols: Update
  * d/rules, d/clean: Regenerate hexdumps of gamepad-related bitmaps.
    These are used in the new testcontroller utility, which replaces
    testgamepad and testjoystick.

 -- Simon McVittie <smcv@debian.org>  Sun, 16 Jul 2023 17:49:00 +0100

libsdl3 (3~git20230620+dfsg-1) experimental; urgency=medium

  * New upstream snapshot prerelease-3.0.0-1780-g6306ee9f4
  * debian/libsdl3-0.symbols: Update

 -- Simon McVittie <smcv@debian.org>  Tue, 20 Jun 2023 19:57:32 +0100

libsdl3 (3~git20230614+dfsg-1) experimental; urgency=medium

  * New upstream snapshot prerelease-3.0.0-1733-g23e007d3b
  * d/libsdl3-0.symbols: Update

 -- Simon McVittie <smcv@debian.org>  Wed, 14 Jun 2023 15:37:37 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libsdl3-0`.
